package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentSchoolOverviewBindingImpl extends FragmentSchoolOverviewBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.fragment_school_detail_overview_clx, 21);
        sViewsWithIds.put(R.id.school_detail_overview_iv, 22);
        sViewsWithIds.put(R.id.barrier1, 23);
        sViewsWithIds.put(R.id.school_code_barrier, 24);
        sViewsWithIds.put(R.id.fragment_school_detail_join_icon, 25);
        sViewsWithIds.put(R.id.fragment_school_detail_schoolcode_label, 26);
        sViewsWithIds.put(R.id.barrier2, 27);
        sViewsWithIds.put(R.id.barrier3, 28);
        sViewsWithIds.put(R.id.fragment_school_detail_overview_phone_iv, 29);
        sViewsWithIds.put(R.id.barrier4, 30);
        sViewsWithIds.put(R.id.barrier5, 31);
        sViewsWithIds.put(R.id.school_overview_hc_iv, 32);
        sViewsWithIds.put(R.id.barrier6, 33);
        sViewsWithIds.put(R.id.barrier7, 34);
        sViewsWithIds.put(R.id.fragment_school_overview_classes_heading, 35);
        sViewsWithIds.put(R.id.fragment_school_detail_overview_detail_clazz_rv, 36);
    }
    // views
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback23;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public FragmentSchoolOverviewBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 37, sIncludes, sViewsWithIds));
    }
    private FragmentSchoolOverviewBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (androidx.constraintlayout.widget.Barrier) bindings[23]
            , (androidx.constraintlayout.widget.Barrier) bindings[27]
            , (androidx.constraintlayout.widget.Barrier) bindings[28]
            , (androidx.constraintlayout.widget.Barrier) bindings[30]
            , (androidx.constraintlayout.widget.Barrier) bindings[31]
            , (androidx.constraintlayout.widget.Barrier) bindings[33]
            , (androidx.constraintlayout.widget.Barrier) bindings[34]
            , (android.widget.TextView) bindings[14]
            , (android.widget.TextView) bindings[17]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[25]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[21]
            , (androidx.recyclerview.widget.RecyclerView) bindings[36]
            , (android.widget.TextView) bindings[16]
            , (android.widget.TextView) bindings[13]
            , (android.widget.TextView) bindings[9]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[12]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[5]
            , (android.widget.TextView) bindings[6]
            , (androidx.core.widget.NestedScrollView) bindings[0]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[29]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[18]
            , (android.widget.TextView) bindings[20]
            , (android.widget.TextView) bindings[19]
            , (android.widget.TextView) bindings[26]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[3]
            , (android.widget.TextView) bindings[4]
            , (android.widget.TextView) bindings[35]
            , (android.widget.TextView) bindings[2]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[8]
            , (android.widget.TextView) bindings[7]
            , (com.google.android.material.button.MaterialButton) bindings[11]
            , (android.widget.TextView) bindings[10]
            , (androidx.constraintlayout.widget.Barrier) bindings[24]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[22]
            , (android.widget.TextView) bindings[1]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[15]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[32]
            );
        this.calendarTitle.setTag(null);
        this.emailTitle.setTag(null);
        this.fragmentSchoolDetailOverviewDetailSchoolEmail.setTag(null);
        this.fragmentSchoolDetailOverviewDetailSchoolHolidayCalendarName.setTag(null);
        this.fragmentSchoolDetailOverviewDetailSchoolPhonenumber.setTag(null);
        this.fragmentSchoolDetailOverviewEmailIv.setTag(null);
        this.fragmentSchoolDetailOverviewLocataionIv.setTag(null);
        this.fragmentSchoolDetailOverviewLocataionTv.setTag(null);
        this.fragmentSchoolDetailOverviewNestedscrollview.setTag(null);
        this.fragmentSchoolDetailOverviewTimezoneIv.setTag(null);
        this.fragmentSchoolDetailOverviewTimezoneTitle.setTag(null);
        this.fragmentSchoolDetailOverviewTimezoneValue.setTag(null);
        this.fragmentSchoolDetailSchoolcodeLayout.setTag(null);
        this.fragmentSchoolDetailSchoolcodeText.setTag(null);
        this.fragmentSchoolOverviewGender.setTag(null);
        this.fragmentSchoolOverviewPhoneLl.setTag(null);
        this.locationTitle.setTag(null);
        this.phoneNumMessageImageview.setTag(null);
        this.phoneTitle.setTag(null);
        this.schoolOverviewDescTv.setTag(null);
        this.schoolOverviewEmailaddrCl.setTag(null);
        setRootTag(root);
        // listeners
        mCallback23 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x20L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.loading == variableId) {
            setLoading((boolean) variable);
        }
        else if (BR.schoolWithHolidayCalendar == variableId) {
            setSchoolWithHolidayCalendar((com.ustadmobile.lib.db.entities.SchoolWithHolidayCalendar) variable);
        }
        else if (BR.schoolCodeVisible == variableId) {
            setSchoolCodeVisible((boolean) variable);
        }
        else if (BR.fieldsEnabled == variableId) {
            setFieldsEnabled((boolean) variable);
        }
        else if (BR.fragmentEventHandler == variableId) {
            setFragmentEventHandler((com.ustadmobile.port.android.view.SchoolDetailOverviewEventListener) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setLoading(boolean Loading) {
        this.mLoading = Loading;
    }
    public void setSchoolWithHolidayCalendar(@Nullable com.ustadmobile.lib.db.entities.SchoolWithHolidayCalendar SchoolWithHolidayCalendar) {
        this.mSchoolWithHolidayCalendar = SchoolWithHolidayCalendar;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.schoolWithHolidayCalendar);
        super.requestRebind();
    }
    public void setSchoolCodeVisible(boolean SchoolCodeVisible) {
        this.mSchoolCodeVisible = SchoolCodeVisible;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.schoolCodeVisible);
        super.requestRebind();
    }
    public void setFieldsEnabled(boolean FieldsEnabled) {
        this.mFieldsEnabled = FieldsEnabled;
    }
    public void setFragmentEventHandler(@Nullable com.ustadmobile.port.android.view.SchoolDetailOverviewEventListener FragmentEventHandler) {
        this.mFragmentEventHandler = FragmentEventHandler;
        synchronized(this) {
            mDirtyFlags |= 0x10L;
        }
        notifyPropertyChanged(BR.fragmentEventHandler);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String schoolWithHolidayCalendarSchoolPhoneNumber = null;
        int stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolTimeZone = 0;
        com.ustadmobile.lib.db.entities.SchoolWithHolidayCalendar schoolWithHolidayCalendar = mSchoolWithHolidayCalendar;
        int stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolAddress = 0;
        boolean schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0 = false;
        long schoolWithHolidayCalendarSchoolHolidayCalendarUid = 0;
        boolean schoolCodeVisible = mSchoolCodeVisible;
        java.lang.String schoolWithHolidayCalendarSchoolDesc = null;
        int schoolWithHolidayCalendarSchoolGenderInt0ViewVISIBLEViewGONE = 0;
        boolean schoolWithHolidayCalendarSchoolCodeJavaLangObjectNullSchoolCodeVisibleBooleanFalse = false;
        java.lang.String schoolWithHolidayCalendarSchoolAddress = null;
        int schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0ViewVISIBLEViewGONE = 0;
        int stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolPhoneNumber = 0;
        int stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolDesc = 0;
        boolean schoolWithHolidayCalendarSchoolGenderInt0 = false;
        java.lang.String schoolWithHolidayCalendarSchoolCode = null;
        com.ustadmobile.lib.db.entities.HolidayCalendar schoolWithHolidayCalendarHolidayCalendar = null;
        java.lang.String schoolWithHolidayCalendarHolidayCalendarUmCalendarName = null;
        int schoolWithHolidayCalendarSchoolCodeJavaLangObjectNullSchoolCodeVisibleBooleanFalseViewVISIBLEViewGONE = 0;
        boolean schoolWithHolidayCalendarSchoolCodeJavaLangObjectNull = false;
        int schoolWithHolidayCalendarSchoolGender = 0;
        java.lang.String schoolWithHolidayCalendarSchoolTimeZone = null;
        com.ustadmobile.port.android.view.SchoolDetailOverviewEventListener fragmentEventHandler = mFragmentEventHandler;
        java.lang.String schoolWithHolidayCalendarSchoolEmailAddress = null;
        int stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolEmailAddress = 0;

        if ((dirtyFlags & 0x26L) != 0) {


            if ((dirtyFlags & 0x22L) != 0) {

                    if (schoolWithHolidayCalendar != null) {
                        // read schoolWithHolidayCalendar.schoolPhoneNumber
                        schoolWithHolidayCalendarSchoolPhoneNumber = schoolWithHolidayCalendar.getSchoolPhoneNumber();
                        // read schoolWithHolidayCalendar.schoolHolidayCalendarUid
                        schoolWithHolidayCalendarSchoolHolidayCalendarUid = schoolWithHolidayCalendar.getSchoolHolidayCalendarUid();
                        // read schoolWithHolidayCalendar.schoolDesc
                        schoolWithHolidayCalendarSchoolDesc = schoolWithHolidayCalendar.getSchoolDesc();
                        // read schoolWithHolidayCalendar.schoolAddress
                        schoolWithHolidayCalendarSchoolAddress = schoolWithHolidayCalendar.getSchoolAddress();
                        // read schoolWithHolidayCalendar.holidayCalendar
                        schoolWithHolidayCalendarHolidayCalendar = schoolWithHolidayCalendar.getHolidayCalendar();
                        // read schoolWithHolidayCalendar.schoolGender
                        schoolWithHolidayCalendarSchoolGender = schoolWithHolidayCalendar.getSchoolGender();
                        // read schoolWithHolidayCalendar.schoolTimeZone
                        schoolWithHolidayCalendarSchoolTimeZone = schoolWithHolidayCalendar.getSchoolTimeZone();
                        // read schoolWithHolidayCalendar.schoolEmailAddress
                        schoolWithHolidayCalendarSchoolEmailAddress = schoolWithHolidayCalendar.getSchoolEmailAddress();
                    }


                    // read StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendar.schoolPhoneNumber)
                    stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolPhoneNumber = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendarSchoolPhoneNumber);
                    // read schoolWithHolidayCalendar.schoolHolidayCalendarUid != 0
                    schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0 = (schoolWithHolidayCalendarSchoolHolidayCalendarUid) != (0);
                    // read StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendar.schoolDesc)
                    stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolDesc = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendarSchoolDesc);
                    // read StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendar.schoolAddress)
                    stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolAddress = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendarSchoolAddress);
                    // read schoolWithHolidayCalendar.schoolGender != 0
                    schoolWithHolidayCalendarSchoolGenderInt0 = (schoolWithHolidayCalendarSchoolGender) != (0);
                    // read StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendar.schoolTimeZone)
                    stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolTimeZone = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendarSchoolTimeZone);
                    // read StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendar.schoolEmailAddress)
                    stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolEmailAddress = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(schoolWithHolidayCalendarSchoolEmailAddress);
                if((dirtyFlags & 0x22L) != 0) {
                    if(schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0) {
                            dirtyFlags |= 0x800L;
                    }
                    else {
                            dirtyFlags |= 0x400L;
                    }
                }
                if((dirtyFlags & 0x22L) != 0) {
                    if(schoolWithHolidayCalendarSchoolGenderInt0) {
                            dirtyFlags |= 0x80L;
                    }
                    else {
                            dirtyFlags |= 0x40L;
                    }
                }
                    if (schoolWithHolidayCalendarHolidayCalendar != null) {
                        // read schoolWithHolidayCalendar.holidayCalendar.umCalendarName
                        schoolWithHolidayCalendarHolidayCalendarUmCalendarName = schoolWithHolidayCalendarHolidayCalendar.getUmCalendarName();
                    }


                    // read schoolWithHolidayCalendar.schoolHolidayCalendarUid != 0 ? View.VISIBLE : View.GONE
                    schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0ViewVISIBLEViewGONE = ((schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                    // read schoolWithHolidayCalendar.schoolGender != 0 ? View.VISIBLE : View.GONE
                    schoolWithHolidayCalendarSchoolGenderInt0ViewVISIBLEViewGONE = ((schoolWithHolidayCalendarSchoolGenderInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
            }

                if (schoolWithHolidayCalendar != null) {
                    // read schoolWithHolidayCalendar.schoolCode
                    schoolWithHolidayCalendarSchoolCode = schoolWithHolidayCalendar.getSchoolCode();
                }


                // read schoolWithHolidayCalendar.schoolCode != null
                schoolWithHolidayCalendarSchoolCodeJavaLangObjectNull = (schoolWithHolidayCalendarSchoolCode) != (null);
            if((dirtyFlags & 0x26L) != 0) {
                if(schoolWithHolidayCalendarSchoolCodeJavaLangObjectNull) {
                        dirtyFlags |= 0x200L;
                }
                else {
                        dirtyFlags |= 0x100L;
                }
            }
        }
        // batch finished

        if ((dirtyFlags & 0x200L) != 0) {
        }

        if ((dirtyFlags & 0x26L) != 0) {

                // read schoolWithHolidayCalendar.schoolCode != null ? schoolCodeVisible : false
                schoolWithHolidayCalendarSchoolCodeJavaLangObjectNullSchoolCodeVisibleBooleanFalse = ((schoolWithHolidayCalendarSchoolCodeJavaLangObjectNull) ? (schoolCodeVisible) : (false));
            if((dirtyFlags & 0x26L) != 0) {
                if(schoolWithHolidayCalendarSchoolCodeJavaLangObjectNullSchoolCodeVisibleBooleanFalse) {
                        dirtyFlags |= 0x2000L;
                }
                else {
                        dirtyFlags |= 0x1000L;
                }
            }


                // read schoolWithHolidayCalendar.schoolCode != null ? schoolCodeVisible : false ? View.VISIBLE : View.GONE
                schoolWithHolidayCalendarSchoolCodeJavaLangObjectNullSchoolCodeVisibleBooleanFalseViewVISIBLEViewGONE = ((schoolWithHolidayCalendarSchoolCodeJavaLangObjectNullSchoolCodeVisibleBooleanFalse) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        // batch finished
        if ((dirtyFlags & 0x22L) != 0) {
            // api target 1

            this.calendarTitle.setVisibility(schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0ViewVISIBLEViewGONE);
            this.emailTitle.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolAddress);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentSchoolDetailOverviewDetailSchoolEmail, schoolWithHolidayCalendarSchoolEmailAddress);
            this.fragmentSchoolDetailOverviewDetailSchoolEmail.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolEmailAddress);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentSchoolDetailOverviewDetailSchoolHolidayCalendarName, schoolWithHolidayCalendarHolidayCalendarUmCalendarName);
            this.fragmentSchoolDetailOverviewDetailSchoolHolidayCalendarName.setVisibility(schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0ViewVISIBLEViewGONE);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentSchoolDetailOverviewDetailSchoolPhonenumber, schoolWithHolidayCalendarSchoolPhoneNumber);
            this.fragmentSchoolDetailOverviewDetailSchoolPhonenumber.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolPhoneNumber);
            this.fragmentSchoolDetailOverviewEmailIv.setVisibility(schoolWithHolidayCalendarSchoolHolidayCalendarUidInt0ViewVISIBLEViewGONE);
            this.fragmentSchoolDetailOverviewLocataionIv.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolAddress);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentSchoolDetailOverviewLocataionTv, schoolWithHolidayCalendarSchoolAddress);
            this.fragmentSchoolDetailOverviewLocataionTv.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolAddress);
            this.fragmentSchoolDetailOverviewTimezoneIv.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolTimeZone);
            this.fragmentSchoolDetailOverviewTimezoneTitle.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolTimeZone);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentSchoolDetailOverviewTimezoneValue, schoolWithHolidayCalendarSchoolTimeZone);
            this.fragmentSchoolDetailOverviewTimezoneValue.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolTimeZone);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentSchoolDetailSchoolcodeText, schoolWithHolidayCalendarSchoolCode);
            this.fragmentSchoolOverviewGender.setVisibility(schoolWithHolidayCalendarSchoolGenderInt0ViewVISIBLEViewGONE);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setSchoolGenderText(this.fragmentSchoolOverviewGender, schoolWithHolidayCalendarSchoolGender);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickDial(this.fragmentSchoolOverviewPhoneLl, schoolWithHolidayCalendarSchoolPhoneNumber);
            this.fragmentSchoolOverviewPhoneLl.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolPhoneNumber);
            this.locationTitle.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolAddress);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickSms(this.phoneNumMessageImageview, schoolWithHolidayCalendarSchoolPhoneNumber);
            this.phoneNumMessageImageview.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolPhoneNumber);
            this.phoneTitle.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolAddress);
            this.schoolOverviewDescTv.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolDesc);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.schoolOverviewDescTv, schoolWithHolidayCalendarSchoolDesc);
            this.schoolOverviewEmailaddrCl.setVisibility(stringExtKtVisibleIfNotNullOrEmptySchoolWithHolidayCalendarSchoolEmailAddress);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickEmail(this.schoolOverviewEmailaddrCl, schoolWithHolidayCalendarSchoolEmailAddress);
        }
        if ((dirtyFlags & 0x20L) != 0) {
            // api target 1

            this.fragmentSchoolDetailSchoolcodeLayout.setOnClickListener(mCallback23);
        }
        if ((dirtyFlags & 0x26L) != 0) {
            // api target 1

            this.fragmentSchoolDetailSchoolcodeLayout.setVisibility(schoolWithHolidayCalendarSchoolCodeJavaLangObjectNullSchoolCodeVisibleBooleanFalseViewVISIBLEViewGONE);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // fragmentEventHandler
        com.ustadmobile.port.android.view.SchoolDetailOverviewEventListener fragmentEventHandler = mFragmentEventHandler;
        // schoolWithHolidayCalendar
        com.ustadmobile.lib.db.entities.SchoolWithHolidayCalendar schoolWithHolidayCalendar = mSchoolWithHolidayCalendar;
        // schoolWithHolidayCalendar.schoolCode
        java.lang.String schoolWithHolidayCalendarSchoolCode = null;
        // schoolWithHolidayCalendar != null
        boolean schoolWithHolidayCalendarJavaLangObjectNull = false;
        // fragmentEventHandler != null
        boolean fragmentEventHandlerJavaLangObjectNull = false;



        fragmentEventHandlerJavaLangObjectNull = (fragmentEventHandler) != (null);
        if (fragmentEventHandlerJavaLangObjectNull) {



            schoolWithHolidayCalendarJavaLangObjectNull = (schoolWithHolidayCalendar) != (null);
            if (schoolWithHolidayCalendarJavaLangObjectNull) {


                schoolWithHolidayCalendarSchoolCode = schoolWithHolidayCalendar.getSchoolCode();

                fragmentEventHandler.onClickSchoolCode(schoolWithHolidayCalendarSchoolCode);
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): loading
        flag 1 (0x2L): schoolWithHolidayCalendar
        flag 2 (0x3L): schoolCodeVisible
        flag 3 (0x4L): fieldsEnabled
        flag 4 (0x5L): fragmentEventHandler
        flag 5 (0x6L): null
        flag 6 (0x7L): schoolWithHolidayCalendar.schoolGender != 0 ? View.VISIBLE : View.GONE
        flag 7 (0x8L): schoolWithHolidayCalendar.schoolGender != 0 ? View.VISIBLE : View.GONE
        flag 8 (0x9L): schoolWithHolidayCalendar.schoolCode != null ? schoolCodeVisible : false
        flag 9 (0xaL): schoolWithHolidayCalendar.schoolCode != null ? schoolCodeVisible : false
        flag 10 (0xbL): schoolWithHolidayCalendar.schoolHolidayCalendarUid != 0 ? View.VISIBLE : View.GONE
        flag 11 (0xcL): schoolWithHolidayCalendar.schoolHolidayCalendarUid != 0 ? View.VISIBLE : View.GONE
        flag 12 (0xdL): schoolWithHolidayCalendar.schoolCode != null ? schoolCodeVisible : false ? View.VISIBLE : View.GONE
        flag 13 (0xeL): schoolWithHolidayCalendar.schoolCode != null ? schoolCodeVisible : false ? View.VISIBLE : View.GONE
    flag mapping end*/
    //end
}